Package ru.bitel.bgbilling.kernel.contract.api.common.service

# Interface ContractParameterService

public interface ContractParameterService
Справочник параметров.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `contractParameterGroupAttrDelete(int id)`
  Удаление параметра договора из справочника.
  `ContractParameterGroupAttr`
  `contractParameterGroupAttrGet(int id)`
  Получение типа параметра по ID из справочника параметров.
  `List<ContractParameterGroupAttr>`
  `contractParameterGroupAttrList()`
  Получение списка параметров договора из справочника.
  `void`
  `contractParameterGroupAttrOrderSet(List<ContractParameterGroupAttr> list)`
  `int`
  `contractParameterGroupAttrUpdate(ContractParameterGroupAttr attr)`
  Добавление/обновление параметра договора справочника.
  `void`
  `contractParameterGroupDelete(int id)`
  Удаление группы параметров по его ID.
  `ContractParameterGroup`
  `contractParameterGroupGet(int id)`
  Получение группы параметров договора по ID.
  `String`
  `contractParameterGroupJson()`
  Данные для редактора справочника "группы параметров"
  `List<ContractParameterGroup>`
  `contractParameterGroupList()`
  Получение списка групп параметров договора.
  `int`
  `contractParameterGroupUpdate(ContractParameterGroup group)`
  Обновление группы параметров.
  `void`
  `contractParameterGroupUpdateLink(int contractParameterGroupId, Set<Integer> parameterIds)`
  Обновление привязки параметров к группе.
  `void`
  `contractParameterListItemDelete(int parameterTypeId, int id)`
  Удаление значения спискового параметра.
  `List<ContractParameterListItem>`
  `contractParameterListItemList(int parameterTypeId)`
  Получение значений спискового параметра.
  `List<IdTitle>`
  `contractParameterListItems(int parameterTypeId)`
  `int`
  `contractParameterListItemUpdate(int parameterTypeId, ContractParameterListItem item)`
  Обновление значения спискового параметра.
  `void`
  `contractParameterMultiListItemDelete(int parameterTypeId, int id)`
  `List<ContractParameterMultiListItem>`
  `contractParameterMultiListItemList(int parameterTypeId)`
  `List<IdTitle>`
  `contractParameterMultiListItems(int parameterTypeId)`
  `int`
  `contractParameterMultiListItemUpdate(int parameterTypeId, ContractParameterMultiListItem item)`
  `String`
  `paramPhoneFormats()`

- ## Method Details

  - ### contractParameterGroupGet

    ContractParameterGroup contractParameterGroupGet(int id) throws ru.bitel.bgbilling.common.BGException
    Получение группы параметров договора по ID. Внутри него содержится список параметров справочника.
    Parameters:
      `id` - ID группы параметров.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractParameterGroupList

    List<ContractParameterGroup> contractParameterGroupList() throws ru.bitel.bgbilling.common.BGException
    Получение списка групп параметров договора. Внутри каждой группы содержится список параметров справочника.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
    See Also:
      - `ContractParameterGroup`

  - ### contractParameterGroupJson

    String contractParameterGroupJson() throws ru.bitel.bgbilling.common.BGException
    Данные для редактора справочника "группы параметров"
    Returns:

  - ### contractParameterGroupUpdate

    int contractParameterGroupUpdate(ContractParameterGroup group) throws ru.bitel.bgbilling.common.BGException
    Обновление группы параметров.
    Parameters:
      `group` - группа параметров
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractParameterGroupDelete

    void contractParameterGroupDelete(int id) throws ru.bitel.bgbilling.common.BGException
    Удаление группы параметров по его ID.
    Parameters:
      `id` - ID группы параметров
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractParameterListItemList

    List<ContractParameterListItem> contractParameterListItemList(int parameterTypeId) throws ru.bitel.bgbilling.common.BGException
    Получение значений спискового параметра.
    Parameters:
      `parameterTypeId` - id параметра
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractParameterListItems

    List<IdTitle> contractParameterListItems(int parameterTypeId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractParameterMultiListItemList

    List<ContractParameterMultiListItem> contractParameterMultiListItemList(int parameterTypeId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractParameterMultiListItems

    List<IdTitle> contractParameterMultiListItems(int parameterTypeId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractParameterListItemUpdate

    int contractParameterListItemUpdate(int parameterTypeId, ContractParameterListItem item) throws ru.bitel.bgbilling.common.BGException
    Обновление значения спискового параметра.
    Parameters:
      `parameterTypeId` - pid
      `item` - значение
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractParameterMultiListItemUpdate

    int contractParameterMultiListItemUpdate(int parameterTypeId, ContractParameterMultiListItem item) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractParameterListItemDelete

    void contractParameterListItemDelete(int parameterTypeId, int id) throws ru.bitel.bgbilling.common.BGException
    Удаление значения спискового параметра.
    Parameters:
      `parameterTypeId` - pid
      `id` - значения
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractParameterMultiListItemDelete

    void contractParameterMultiListItemDelete(int parameterTypeId, int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractParameterGroupAttrGet

    ContractParameterGroupAttr contractParameterGroupAttrGet(int id) throws ru.bitel.bgbilling.common.BGException
    Получение типа параметра по ID из справочника параметров.
    Parameters:
      `id` - ID типа параметра договора
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractParameterGroupAttrList

    List<ContractParameterGroupAttr> contractParameterGroupAttrList() throws ru.bitel.bgbilling.common.BGException
    Получение списка параметров договора из справочника.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractParameterGroupAttrUpdate

    int contractParameterGroupAttrUpdate(ContractParameterGroupAttr attr) throws ru.bitel.bgbilling.common.BGException
    Добавление/обновление параметра договора справочника.
    Parameters:
      `attr` -
    Returns:
      ID созданного/обновленного параметра
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractParameterGroupAttrDelete

    void contractParameterGroupAttrDelete(int id) throws ru.bitel.bgbilling.common.BGException
    Удаление параметра договора из справочника.
    Parameters:
      `id` - ID удаляемого параметра справочника
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractParameterGroupUpdateLink

    void contractParameterGroupUpdateLink(int contractParameterGroupId, Set<Integer> parameterIds) throws ru.bitel.bgbilling.common.BGException
    Обновление привязки параметров к группе.
    Parameters:
      `contractParameterGroupId` - ID группы параметров, к которой будут привязаны параметры
      `parameterIds` - ID параметров, которые будут привязаны к группе
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractParameterGroupAttrOrderSet

    void contractParameterGroupAttrOrderSet(List<ContractParameterGroupAttr> list) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### paramPhoneFormats

    String paramPhoneFormats() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`